{"openapi":"3.0.4","info":{"title":"Create / Renew / Revoke a certificate","description":"\nManages a certificate.  This could be creating a new one, renewing an old one or revoking one explicitly.\n\nThe following error codes are to be anticipated with standard Problem Detail reports:\n- 400 BadRequest - something about the request cannot be processed\n- 401 Unauthorized\n- 403 Forbidden\n","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/honeycomb"}],"paths":{"/api/Certificate/manage":{"put":{"tags":["Certificate Management"],"summary":"Create / Renew / Revoke a certificate","description":"\nManages a certificate.  This could be creating a new one, renewing an old one or revoking one explicitly.\n\nThe following error codes are to be anticipated with standard Problem Detail reports:\n- 400 BadRequest - something about the request cannot be processed\n- 401 Unauthorized\n- 403 Forbidden\n","operationId":"ManageCertificate","parameters":[{"name":"action","in":"query","description":"The Action to perform, e.g. Create / Renew / Revoke","schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/CertificateAction"},"x-nullable":true},{"name":"type","in":"query","description":"User or Domain level cert (Domain level requires additional entitlements)","schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/CertificateType"},"x-nullable":true},{"name":"version","in":"query","description":"Version number of the cert, the request will fail to validate if incorrect","schema":{"type":"integer","format":"int32","default":1},"x-nullable":true},{"name":"validityStart","in":"query","description":"When should the cert first be valid (defaults to the current time in UTC)","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"validityEnd","in":"query","description":"When should the cert no longer be valid (defaults to 13 months from now)","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"dryRun","in":"query","description":"True will just validate the request, but perform no changes to any system","schema":{"type":"boolean","default":true},"x-nullable":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/CertificateState"}},"text/plain":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/CertificateState"}},"text/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/CertificateState"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}